Skip to main content
GET
/
providers
List all providers
curl --request GET \
  --url https://api.nango.dev/providers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nango.dev/providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nango.dev/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "name": "hubspot",
      "logo_url": "https://app.nango.dev/images/template-logos/hubspot.svg",
      "display_name": "HubSpot",
      "categories": ["marketing","support","crm"],
      "auth_mode": "OAUTH2",
      "authorization_url": "https://app.hubspot.com/oauth/authorize",
      "token_url": "https://api.hubapi.com/oauth/v1/token",
      "connection_configuration": ["portalId"],
      "post_connection_script": "hubspotPostConnection",
      "webhook_routing_script": "hubspotWebhookRouting",
      "proxy": {
        "base_url": "https://api.hubapi.com",
        "decompress": true,
        "paginate": {
          "type": "cursor",
          "cursor_path_in_response": "paging.next.after",
          "limit_name_in_request": "limit",
          "cursor_name_in_request": "after",
          "response_path": "results"
        }
      },
      "docs": "https://nango.dev/docs/api-integrations/hubspot"
    },
    {
      "name": "posthog",
      "logo_url": "https://app.nango.dev/images/template-logos/posthog.svg",
      "display_name": "PostHog",
      "categories": ["dev-tools"],
      "auth_mode": "API_KEY",
      "proxy": {
        "base_url": "https://api.posthog.com",
      },
      "docs": "https://nango.dev/docs/api-integrations/posthog"
    }
  ]
}
{
  "data": [
    {
      "name": "hubspot",
      "logo_url": "https://app.nango.dev/images/template-logos/hubspot.svg",
      "display_name": "HubSpot",
      "categories": ["marketing","support","crm"],
      "auth_mode": "OAUTH2",
      "authorization_url": "https://app.hubspot.com/oauth/authorize",
      "token_url": "https://api.hubapi.com/oauth/v1/token",
      "connection_configuration": ["portalId"],
      "post_connection_script": "hubspotPostConnection",
      "webhook_routing_script": "hubspotWebhookRouting",
      "proxy": {
        "base_url": "https://api.hubapi.com",
        "decompress": true,
        "paginate": {
          "type": "cursor",
          "cursor_path_in_response": "paging.next.after",
          "limit_name_in_request": "limit",
          "cursor_name_in_request": "after",
          "response_path": "results"
        }
      },
      "docs": "https://nango.dev/docs/api-integrations/hubspot"
    },
    {
      "name": "posthog",
      "logo_url": "https://app.nango.dev/images/template-logos/posthog.svg",
      "display_name": "PostHog",
      "categories": ["dev-tools"],
      "auth_mode": "API_KEY",
      "proxy": {
        "base_url": "https://api.posthog.com",
      },
      "docs": "https://nango.dev/docs/api-integrations/posthog"
    }
  ]
}

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Response

Successfully returned a list of available providers

data
(Default · object | Oauth1 · object | Oauth2 · object)[]
required